@echo off
rem **********************************************************************
rem This utility erases all user flash memory and disables the readback
rem protection mechanism if enabled
rem **********************************************************************

cls
echo.
echo Recovering ....
echo.

rem ------------------------------------------
rem  Prompt the user with a warning message
rem ------------------------------------------
:choice
echo This will disable the readback protection mechanism, 
echo which means that the entire chip will be erased
echo   ***********************************************************
echo   And that erase will mean the module will lose its license.
echo   To make note of the licence keep a copy of the response
echo   to the command AT I 0xC0FE
echo   ***********************************************************
set /P c=Are you sure you want to continue[Y/N]?
if /I "%c%" EQU "Y" goto :disable_readback
if /I "%c%" EQU "N" goto :cancel
goto :choice

rem ------------------------------------------
rem  Recover
rem ------------------------------------------
:disable_readback
nrfjprog -f NRF52 --recover
echo.
goto :end1

rem ------------------------------------------
rem  Operation canceled by the user
rem ------------------------------------------
:cancel
echo.
echo Operation canceled
echo.

:end1
pause
